SolrRequest.METHOD (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.SolrRequest.METHOD class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.client.solrj
Enum SolrRequest.METHOD

    java.lang.Object
      java.lang.Enum<SolrRequest.METHOD>
          org.apache.solr.client.solrj.SolrRequest.METHOD

All Implemented Interfaces:
  Serializable, Comparable<SolrRequest.METHOD>

Enclosing class:
  SolrRequest

    public static enum SolrRequest.METHOD

extends Enum<SolrRequest.METHOD>

Enum Constant Summary
`GET`
`POST`

Method Summary
`static SolrRequest.METHOD` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolrRequest.METHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final SolrRequest.METHOD GET

### POST

    public static final SolrRequest.METHOD POST

Method Detail

### values

    public static final SolrRequest.METHOD[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SolrRequest.METHOD c : SolrRequest.METHOD.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SolrRequest.METHOD valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD